Option | Description | Values | Default
--- | --- | --- | ---
modelPackage | C++ namespace for models (convention: name.space.model). |  | org.openapitools.client.model
apiPackage | C++ namespace for apis (convention: name.space.api). |  | org.openapitools.client.api
packageVersion | C++ package version. |  | 1.0.0
declspec | C++ preprocessor to place before the class name for handling dllexport/dllimport. |  |
defaultInclude | The default include statement that should be placed in all headers for including things like the declspec (convention: #include "Commons.h" |  |
generateGMocksForApis | Generate Google Mock classes for APIs. |  | null

##
IMPORT MAPPING

Type/Alias | Imports
--- | ---
std::vector | #include <vector>
utility::string_t | #include <cpprest/details/basic_types.h>
std::map | #include <map>
std::string | #include <string>
utility::datetime | #include <cpprest/details/basic_types.h>
Object | #include "Object.h"
HttpContent | #include "HttpContent.h"

##
INSTANTIATION TYPES

Type/Alias | Instantiated By
--- | ---

##
LANGUAGE PRIMITIVES

- bool
- double
- char
- float
- int64_t
- int
- long
- int32_t

##
RESERVED WORDS

- struct
- auto
- xor_eq
- const_cast
- decltype
- alignas
- extern
- do
- float
- while
- constexpr
- operator
- bitand
- protected
- continue
- else
- friend
- mutable
- compl
- typeid
- catch
- export
- if
- case
- dynamic_cast
- not_eq
- new
- using
- static
- void
- sizeof
- bitor
- double
- this
- signed
- noexcept
- typedef
- enum
- char16_t
- explicit
- static_cast
- true
- try
- reinterpret_cast
- nullptr
- requires
- template
- private
- virtual
- bool
- const
- concept
- static_assert
- for
- delete
- long
- switch
- default
- not
- goto
- public
- and
- and_eq
- linux
- or_eq
- xor
- class
- wchar_t
- alignof
- or
- break
- false
- thread_local
- char32_t
- volatile
- union
- int
- inline
- throw
- char
- namespace
- short
- unsigned
- asm
- return
- typename
- register

Last updated on 1/9/2020